# idrac_redfish_command – Manages Out-Of-Band controllers using iDRAC OEM Redfish APIs

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Builds Redfish URIs locally and sends them to remote OOB controllers to perform an action.
- For use with Dell iDRAC operations that require Redfish OEM extensions

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
baseuri string / required |  | Base URI of OOB controller
category string / required |  | Category to execute on OOB controller
command list / required |  | List of commands to execute on OOB controller
password string / required |  | Password for authentication with OOB controller
timeout integer added in 2.8 | Default: 10 | Timeout in seconds for URL requests to OOB controller
username string / required |  | User for authentication with OOB controller

## Examples

    - name: Create BIOS configuration job (schedule BIOS setting update)
      idrac_redfish_command:
        category: Systems
        command: CreateBiosConfigJob
        baseuri: "{{ baseuri }}"
        username: "{{ username }}"
        password: "{{ password }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | always | Message with action result or error description Sample: Action was successful

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Jose Delarosa (@jose-delarosa)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.